Bump package epoch to 1 to ensure working upgrade path and transition to snap

Bug #1892724 reported by Olivier Tilloy on 2020-08-24
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
chromium-browser (Ubuntu)
High
Olivier Tilloy
Focal
High
Olivier Tilloy

Bug Description

As a follow-up to bug #1889106, it was decided that the best solution to handle recurring version bumps for chromium-browser updates in stable series was to bump the package epoch to 1.
See the discussion in https://lists.ubuntu.com/archives/ubuntu-devel/2020-August/041127.html.
This needs to be done in groovy (done) and SRUed to focal.

[Impact]

Users upgrading from 18.04 to 20.04 will not get the latest chromium snap replacing the chromium-browser deb package as intended as soon as a security update is published to bionic-security (which happens typically every 2-3 weeks).
This is because the version number in 18.04 often ends up being greater than the version in 20.04. Bumping the version number in 20.04 is enough to fix this, and was done a few times already (bug #1858500, bug #1889106), but it is tedious and impractical.

[Test Case]

 * Ensure that a version of chromium-browser newer than 84.0.4147.105-0ubuntu0.20.04.1 is available in bionic-{security,updates} (not currently the case, but will soon happen as version 85.0.4183.83 was just released upstream)
 * On a machine running 18.04, ensure that the chromium snap is *not* installed, then install the chromium-browser deb package: sudo apt install chromium-browser
 * Upgrade that machine to Ubuntu 20.04
 * When upgrading, the chromium-browser package becomes a transitional package that installs the chromium snap
 * Verify that the chromium snap is installed

[Regression Potential]

 * The chromium snap has some known shortcomings and regressions compared to the deb package, they are being tracked at https://bugs.launchpad.net/ubuntu/+source/chromium-browser/+bugs?field.tag=snap. Auto-upgrading users from the deb to the snap is the desired behaviour though.

[Original Description]

For a complete rationale, see comments #4, #5, #7 and #8 in bug #1889106, and the discussion in https://lists.ubuntu.com/archives/ubuntu-devel/2020-August/041127.html.

This needs to be done in groovy and SRUed to focal.

Olivier Tilloy (osomon) wrote :

Quoting the ubuntu-devel@ conversation here for easier future reference:

« In doing SRU reviews today, I came across LP: #1889106 which is a
request for a no-change rebuild to bump the version so it beats the
versions presented in previous releases.

The problem is real, but it seems suboptimal to me to keep fixing it
this way. We'll need to keep SRUing chromium-browser to Focal (and later
releases presumably). Every time we do that, all users (who have the
transitional package) get yet another update to download, even if it is
small. And every time it takes both Olivier's and the SRU team's time.

Would an epoch bump be a better option here? Debian doesn't currently
carry a package with that name, so we're already diverged enough that I
don't forsee a problem from there. »

xnox answered:

« lxd used epoch too, to ensure that deb2snap transitional package is
always higher whichever backports are uploaded as debs into previous
series.

https://launchpad.net/ubuntu/+source/lxd

So +1 from me. »

and vorlon answered:

« I agree that an epoch bump on the transitional .deb in focal is a reasonable
solution for this issue. »

description: updated
Changed in chromium-browser (Ubuntu):
status: New → Incomplete
status: Incomplete → Triaged
importance: Undecided → High
description: updated
Olivier Tilloy (osomon) wrote :

1:84.0.4147.135-0ubuntu1 uploaded to groovy.

Changed in chromium-browser (Ubuntu):
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package chromium-browser - 1:84.0.4147.135-0ubuntu1

---------------
chromium-browser (1:84.0.4147.135-0ubuntu1) groovy; urgency=medium

  * New upstream release: 84.0.4147.135
  * Bump epoch to 1 to ensure always working upgrade path from bionic
    (LP: #1892724)

 -- Olivier Tilloy <email address hidden> Mon, 24 Aug 2020 15:49:01 +0200

Changed in chromium-browser (Ubuntu):
status: Fix Committed → Fix Released
Olivier Tilloy (osomon) on 2020-08-26
Changed in chromium-browser (Ubuntu Focal):
assignee: nobody → Olivier Tilloy (osomon)
importance: Undecided → High
status: New → Confirmed
status: Confirmed → Triaged
Olivier Tilloy (osomon) on 2020-08-26
description: updated
Olivier Tilloy (osomon) on 2020-08-26
Changed in chromium-browser (Ubuntu Focal):
status: Triaged → In Progress

Hello Olivier, or anyone else affected,

Accepted chromium-browser into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/chromium-browser/1:85.0.4183.83-0ubuntu0.20.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in chromium-browser (Ubuntu Focal):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-focal
Olivier Tilloy (osomon) wrote :

Verified working.
For convenience I used a slightly different testing method than the test case in the bug description: I downloaded and installed (with `dpkg -i`) the chromium-browser, chromium-browser-l10n and chromium-codecs-ffmpeg-extra debs from https://launchpad.net/~canonical-chromium-builds/+archive/ubuntu/stage/+sourcepub/11549449/+listing-archive-extra (version 85.0.4183.83-0ubuntu0.18.04.1, currently awaiting sponsoring to bionic-security) in a fully up-to-date focal VM. I then ran `sudo apt update` to verify that no update was available for chromium-browser. I then enabled focal-proposed for universe and verified that the update to chromium-browser 1:85.0.4183.83-0ubuntu0.20.04.1 was available, installed it with `sudo apt install chromium-browser`, and checked that this installed the chromium snap as expected. I then verified that chromium-browser launches and works as expected.

tags: added: verification-done-focal
removed: verification-needed-focal
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package chromium-browser - 1:85.0.4183.83-0ubuntu0.20.04.1

---------------
chromium-browser (1:85.0.4183.83-0ubuntu0.20.04.1) focal; urgency=medium

  * New upstream release: 85.0.4183.83
  * Bump epoch to 1 to ensure always working upgrade path from bionic
    (LP: #1892724)

 -- Olivier Tilloy <email address hidden> Wed, 26 Aug 2020 17:30:25 +0200

Changed in chromium-browser (Ubuntu Focal):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for chromium-browser has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers